<?php 
session_start();
foreach($_GET as $key => $value){${$key}=trim(str_replace("'","\'",str_replace('"','\"',$value))); $_PARAMS[$key]=${$key};} 
foreach($_POST as $key => $value){${$key}=trim(str_replace("'","\'",str_replace('"','\"',$value))); $_PARAMS[$key]=${$key};} 

foreach($_POST as $campo => $valor)
{
//       echo '<br>';
//       echo '<br>****';
//       echo $campo.'='.$valor;
}

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

$error_save='';
$error_save2='';

$response=$dom->appendChild($dom->createElement("response"));
$msgswal=$response->appendChild($dom->createElement("msgswal")); 
$msgswal->setAttribute("id","msgswal");

// $link_data=msql_connect('','','',$empr);

$docu0=data_maes('docu',$docu);
$tabla=$docu0['docu_tabla'];
$tabla1=$tabla.'1';
$tabla2=$tabla.'2';

if(empty($tabla))
{$error_save='Soft Docu tabla 1 - '.$docu.' - '.$jugador;}

if(empty($fecha)){$fecha=$fecha2;}
if(empty($fecha)){$fecha=date('Y-m-d');}


// crea y/o actualiza maestros

if($tabla=='liup')
  {
     if (empty($jugador) and empty($posi))
        {
           $error_save.='DATOS DE JUGADOR EN BLANCO ';
        }

     if (!empty($jugador) and empty($posi))
        {
           $error_save.='POSICION NO PUEDE ESTAR VACIA ';
        }

     if (empty($jugador) and !empty($posi))
        {
           $error_save.='JUGADOR NO PUEDE ESTAR VACIA ';
        }
  }

if(!empty($jugador))
{
//      $sql_enti='select * from enti0 where left(enti_codigo,10) like "'.substr($enti,0,10).'%" order by enti_codigo limit 1';
     $sql_enti='select * from enti0 where enti_codigo = "'.$jugador.'" order by enti_codigo limit 1';
     $res_enti=msql_query($sql_enti,$link_data);
     $enti0=msql_result($res_enti,0,'enti_codigo');
     if(empty($enti0)){$error_save.='<br>Error en ENTI '.$enti;}          
}

$deta_ok=1;
     
if(empty($error_save))
{
     
     if($tabla=='liup')
       {
          $puni=1;
          if(!empty($idnum2))
            {
              $sql_stru='describe '.$tabla.'2';
              $res_stru=msql_query($sql_stru,$link_data);
              $sql_updt='update '.$tabla.'1 set ';
              while($aso_stru=@msql_fetch_assoc($res_stru))
                { 
                  $xvalor=${$aso_stru['Field']};
//                echo '<br>';
//                echo '<br>';
//                echo $aso_stru['Field'].'='.$xvalor;
               
                  $xtype.=$aso_stru['Type'];
                  if($xvalor!='' and $aso_stru['Field']!='idnum1')
                    {$sql_updt.=$aso_stru['Field'].'="'.$xvalor.'", ';}
                }
              $sql_updt.='where idnum2='.$idnum2;
              $sql_updt.=' and jugador='.$jugador;

          //  cambiar true=1 false=0
          //  $res_updt=msql_query($sql_updt,$link_data);
              $res_updt=msql_query($sql_updt,$link_data);
              $div=$consolelog->appendChild($dom->createElement("sqlupdt1",$sql_updt)); 
           echo '*/*/*/*'.$sql_updt;
            }
       }       
     
     $alert_save = "Grabando..." ;
     

     if(!empty($idnum2))
     {
//           $deta_ok=1;
//           //      cambiar true=1 false=0
//           if(empty($cant) and empty($puni)){$deta_ok=0;}
//           if(mb_stristr('vtas.clie.carr.comp.prov.inve.prod.',$tabla) and empty($item)){$deta_ok=0;}
//           if($tabla=='guia' and empty($docum) and empty($numer) and empty($item)){$deta_ok=0;}
// XMA
       
       
//           $tabla2 = 'soft2';
//           if($deta_ok==1)
//           {
//                $sql_stru='describe '.$tabla2;
//                $res_stru=msql_query($sql_stru,$link_data);

//                $sql_updt='';
//                $sql_updt.='update '.$tabla2.' set ';
//                while($aso_stru=@msql_fetch_assoc($res_stru))
//                { 
//                     $xvalor=${$aso_stru['Field']};
//                     $xtype=$aso_stru['Type'];
//                     if($xvalor!='')
//                     {
//                          $sql_updt.=$aso_stru['Field'].'="'.$xvalor.'", ';
// //                          $deta_ok=1;
//                     }
//                }
               
//           }

//           if($deta_ok==1)
//           {
//                if(empty($iddet))
//                {
//                     $iddet=get_iddet($docu,$idnum1);
//                     $sql_inse='insert into '.$tabla2.'(idnum2,iddet)value("'.$idnum1.'","'.$iddet.'")';
//                     $res_inse=msql_query($sql_inse,$link_data);
//                }
//                if ($tabla2 == 'liup2')
//                   {
//                     $sql_updt.='bateo=iddet, ';
//                   }
//                $sql_updt.='idate2=now(), ';
//                $sql_updt.='iddet=iddet ';
//                $sql_updt.='where idnum2='.$idnum1.' ';
//                $sql_updt.='and iddet='.$iddet;
//                $res_updt=msql_query($sql_updt,$link_data);
//                $div=$consolelog->appendChild($dom->createElement("sqlupdt2",$sql_updt)); 
               
                  
//           }
// XMA
     //     $sql_updt='';
     //     $sql_updt.='update '.$tabla.'2 set ';
     //     $sql_updt.='idate2=now() ';
     //     $sql_updt.='where idnum2='.$idnum1;
     //     $sql_updt.=' and iddet='.$iddet;
     //     $res_updt=@msql_query($sql_updt,$link_data);

     }     

}

if(!empty($error_save2)){$error_save.=$error_save2;}

if(empty($error_save) and !empty($alert_save))
{
     $msgswal->appendChild($dom->createElement("icon","warning")); 
     $msgswal->appendChild($dom->createElement("title","Advertencia")); 
     $msgswal->appendChild($dom->createElement("text",$alert_save)); 
     $msgswal->appendChild($dom->createElement("timeout","10000")); 
}


if(!empty($error_save))
{
     $msgswal->appendChild($dom->createElement("icon","error")); 
     $msgswal->appendChild($dom->createElement("title","Error")); 
     $msgswal->appendChild($dom->createElement("text",$error_save)); 
}

// echo '*/*/*/*/*/*/*/*/*/*/* '.$tpos;

echo $dom->saveXML();
     
?>
